CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

Payment Methods

The available payment methods at checkout. An order can only have 1 payment method, but the admin can change the payment method, and take part payments.

Endpoint URL

https://api.cms-tool.net/api/paymentop

/api/paymentOption

Read and update payment options.

GET

List records, or retrieve one by appending its ID to the path.

Query parameters

NameTypeExampleNotes
idint123Filter results by id.
offsetint123Skip this many matching records before returning results.
pageSizeint123Limit the number of records returned.

POST

Create or update a record from a JSON object.

Request content type: application/json

Request body fields

NameTypeExampleNotes
idint123Set the id value.
payopidint123Set the payopid value.
payopidcodetextABC123Set the payopidcode value.
minimumspendnumber19.95Set the minimumspend value.
percentdiscountnumber19.95Set the percentdiscount value.
valuediscountnumber19.95Set the valuediscount value.

Data definitions

FieldTypeDescriptionFormatExample
payopmbrlevelintCustomer Security Level
payopmbrgroupidintLimit use to customers from member group ID
payopmaxvaluedecimalMaximum value of transaction for which this payment method is valid
payoppageintIf limited to a specific shopping page, then this is the page ID of that page, otherwise 0 for all pages
payop_notifany_categoryidintThis payment method is not available if any product is in this category ID
paymentop_configtextAdditional Config in JSON format.
payopdetailbeforetextA description of this payment method presented to the user when considering which payment option to choose
payop_auto_paid_statusboolAutomatically mark order as paid if paying by this method, eg for customers who have trade accounts.
payoptitlebeforetextA user friendly title for this payment option
payopmbrlevelmaxintUse this to hide a retail payment offer from your trade customers
payopinstallmentpercentdecimalInstallment percent when using deposits and post payments required
payopnosendreceiptmerchantcharIf true, do not send a receipt copy to the merchant to avoid noise
payoptransfeepcdecimalA percentage transaction fee for using this payment option, eg 2% = 0.02
payopnosendreceiptcharIf true, do not send a receipt, why i do not know
payop_ifall_categoryidintIf all products are in this category, then the option is available
payopcurrencycharCurrency if limited to a specific currency
payop_api_gl_accounttextWhen syncing payment to a third party accounting system, use this GL code for payments
payop_roundingdecimalRounding would equal 0.10 if rounding to 10 cents
payopnosendordercharIf true, do not send the order email to the customer, rather wait for the order to be paid
payopminvaluedecimalMinimum spend before this method is available to use
payoptypetextThe type of payment option, foreign key to the list of available payment options.
payopaccounttextPrimary credtential user ID or key for connecting to a payment gateway
payop_if_map_filterintOnly supported in a specific country related to the delivery country.
payopdepositpercentdecimalIf using this payment method, the customer only needs to pay a deposit of this amount.
payop_icon_personalisedtextICON Image for use on template footer payment methods accepted gallery
payoppriorityintA sorting number from 1 upwards, as to which order to display payment options to user
payop_changeableboolCan the payment method be changed to another method after purchase... By default true
payopinstallmentintervalintervalInstallmen Interval when deposits and post payments required01:00:00
payopnosendordermerchantcharIf true, do not send a order copy to the merchant to avoid noise
payoptestcodetextTypically single char = T if operating in test mode against a test server with test credentials
payopshowmbridcharIf T, then show the customer ID on the final screen
payop_auto_cancellationsintervalAuto cancel after this period of time if the user has not paid in order to release stock01:00:00
payoplogotextAlternative logo to use for this payment methods
payopbatchedboolIf daily transactions are batched
payop_remind_unpaid_cartsintervalSend Unpaid Order Reminder after this interval if unpaid01:00:00
payop_allow_cancellationsintervalAllow users to cancel their order within this period of time. Otherwise, only a merchant can cancel01:00:00
payop_notif_map_filterintNot supported in this country or region ID
payop_extra1textCredtential or setup field - depends on payment method
payopdetailaftertextAdditional detail to provide to customer after they have chosen the method, eg bank address.
pay_api_type_idtextPeculiar to some accounting systems, will use this to sync the payment record to an order after payment received.
payopsubacctextAdditional account reference to be used along side API credentials when the API offers multiple sub accounts
payopidserialPrimary ID of the payment method.123456
payop_extra2textCredtential or setup field - depends on payment method
payoptransfeedecimalA fixed transaction fee for using this payment option, eg 50c
payopsubscriptionenabledboolTrue if offering to save card details or for subscriptions where payment repeats without card present.

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.